Page MenuHomeFreeBSD

Convert GitLab patches to simple diffs
ClosedPublic

Authored by jbeich on May 11 2020, 6:58 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Mar 19, 2:03 PM
Unknown Object (File)
Mar 4 2024, 4:50 AM
Unknown Object (File)
Mar 3 2024, 2:30 AM
Unknown Object (File)
Feb 26 2024, 6:57 PM
Unknown Object (File)
Feb 15 2024, 10:03 AM
Unknown Object (File)
Jan 10 2024, 5:57 AM
Unknown Object (File)
Jan 10 2024, 5:57 AM
Unknown Object (File)
Jan 2 2024, 1:01 PM
Subscribers
None

Details

Summary

GitLab unlike GitHub keeps the footer from git-format-patch(1) which frequently changes on Git version upgrades. Let's switch to .diff links which lack header/footer.

Test Plan
  • 12.1 i386 is OK

Diff Detail

Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 31030
Build 28736: arc lint + arc unit

Event Timeline

jbeich created this revision.
This revision was not accepted when it landed; it landed in state Needs Review.May 11 2020, 7:50 PM
This revision was automatically updated to reflect the committed changes.